3DCC3000 Help Portal

Copyright © 1998-2000 JaSMiN Co.


Before You Begin...

Please read this section carefully if you haven't already done so.

SHORT INTRO

This program is a Cardware/Emailware. It's FREE, but you should let us know that you are using this program, and, what do you think about it! More information on registering this software is available here.

LICENSE AGREEMENT

This product is provided to you free of charge. Should you accept the terms of this agreement, JaSMiN Co. will grant you the personal and non-exclusive right to install and use the software. 3D Color Changer 3000 or any other materials provided in this package may not be modified in any way. This version of 3D Color Changer 3000 may be freely redistributed with all supplied files in its original format.

DISCLAIMER

ANY USE BY YOU OF THE SOFTWARE IS AT YOUR OWN RISK. THE SOFTWARE IS PROVIDED FOR USE "AS IS" WITHOUT WARRANTY OF ANY KIND. TO THE MAXIMUM EXTENT PERMITTED BY LAW, THE AUTHOR (JASMIN CO.) DISCLAIMS ALL WARRANTIES OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING, WITHOUT LIMITATION, IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. THE AUTHOR (JASMIN CO.) IS NOT OBLIGATED TO PROVIDE ANY UPDATES TO THE SOFTWARE.

COPYRIGHT NOTICE

3D Color Changer 3000 and all other materials distributed with this package are Copyright (c) 1998-1999 by JaSMiN Co. No parts of 3D Color Changer 3000 or other files provided in this package may be reproduced in part or in whole, except as provided in the License Agreement. You may not remove any copyright or other proprietary notice from the software. You may not reverse engineer, decompile, or disassemble the software.

TRADEMARKS

Any product or brand names mentioned in this software and associated manuals and files are trademarks or registered trademarks of their respective owners.

YOU ACKNOWLEDGE THAT YOU HAVE READ THIS AGREEMENT, UNDERSTAND IT, AND AGREE TO BE BOUND BY ITS TERMS AND CONDITIONS. YOU FURTHER AGREE THAT IT IS THE COMPLETE AND EXCLUSIVE STATEMENT OF THE AGREEMENT BETWEEN US THAT SUPERSEDES ANY PROPOSAL OR PRIOR AGREEMENT, ORAL OR WRITTEN, AND ANY OTHER COMMUNICATIONS BETWEEN US RELATING TO THE SUBJECT MATTER OF THIS AGREEMENT.


Installing

Installation procedure
Step by step instructions
  1. If the CABINET.DLL file is not present in your %windir%\ SYSTEM (or %windir%\ SYSTEM32 when run under WindowsNT 4.0 or Windows2000) folder, please copy it there from 3DCC3000 package.
  2. Make sure you don't have the Control Panel open.
  3. Run SETUP.EXE.
  4. JaSMiN Setup Engine will prompt you for destination folder and Start Menu group. If the folder/group specified doesn't exist, it'll be created automatically. If you don't want Start Menu group to be created uncheck the box near the Start Menu Items caption. Figure 1
  5. 3DCC3000 Install consists of 4 components: Program Files, HTML Help, Sample Schemes and Control Panel Addon. To get more info on particular component, select it and click What Is? button. By default, all components are installed. Figure 2
  6. Please read carefully the Registration request on the Setup Finished page. If you have an Internet Connection set up, you can quickly register online. Registration is FREE. Click here if you want to register online NOW.
  7. After setup has completed, you can delete the installation files (SETUP.EXE, PFILES.JSP, HTMLHELP.JSP, SAMPLES.JSP and README.TXT), but you will be unable to uninstall 3DCC3000.

Troubleshooting:
for known issues that may occur
  1. If you get Failed to set data for xxx error message, this means you don't have Adminstrator Privileges on the machine you are installing 3DCC3000 on. 3DCC3000 will be semi-installed, and the 3DC filetype won't be registered.

Files copied during SETUP
Click here to show the full list »

» Program Files component includes:

  1. Js3Dcc.EXE - 3D Color Changer 3000 Core
  2. Apply.EXE - 3D Color Changer 3000 Shell Color Apply
  3. JaSMiN Homepage.URL - JaSMiN Homepage Link
  4. Register Online.URL - Register Online Link
  5. Readme.TXT - Readme file

» HTML Help component includes:

  1. Js3Dcc.CHM - HTML Help file for IE4/Win98/Win2000 (this file)

» Sample Schemes component includes:

  1. Blue.3DC
  2. Commandos.3DC
  3. Dark FrameArt.3DC
  4. Gold.3DC
  5. Gray.3DC
  6. IceBerg Web.3DC
  7. JaSMiN.3DC
  8. JaSMiN Blue.3DC
  9. Jote.3DC
  10. Jote 3D.3DC
  11. Jote Hard.3DC
  12. Jote UltraFlat.3DC
  13. LCD - Teal.3DC
  14. LED - Red.3DC
  15. LED - Aqua.3DC
  16. LED - Gray.3DC
  17. LED - Green.3DC
  18. Sea.3DC
  19. Sea 3D.3DC
  20. Summer.3DC
  21. Teals.3DC
  22. Win.3DC
  23. Win 3.11.3DC
  24. Win 3D.3DC
  25. Win B-W.3DC
  26. Win Flat.3DC
  27. Win Flat II.3DC
  28. Win Flat III.3DC
  29. Win FrameArt.3DC
  30. Win Hard.3DC
  31. Win Inversed.3DC
  32. Win UltraFlat.3DC
  33. Win2000.3DC
  34. Win3000.3DC
  35. Win3000 JoteSite.3DC
  36. Win3000 JoteSite Button.3DC
  37. WindowsNT.3DC
  38. WindowsNT 3D.3DC
  39. WindowsNT FLAT.3DC
  40. x.3DC

Control Panel Addon component includes:

  1. 3DCC.CPL


Uninstalling

Uninstallation procedure
Step by step instructions
  1. Make sure you don't have the Control Panel open.
  2. Run SETUP.EXE.
  3. Check the Perform 3DCC Uninstall checkbox. Figure 3
  4. Click Next.
  5. You may need to remove items related to 3DCC (such as folder and start menu shortcuts) manually.

Troubleshooting
for known issues that may occur
  1. If the Perform 3DCC Uninstall checkbox is grayed, this means that 3DCC3000 was not installed properly. Improper installation can be caused by the lack of Administrator Privileges. To remove semi-installed 3DCC3000 follow these steps:

Manual Removal of 3DCC
Step by step instructions
  1. Delete the folder you installed 3DCC3000 in.
  2. Goto %windir%\ SYSTEM (or %windir%\ SYSTEM32 when run under WindowsNT 4.0 or Windows2000) folder and delete 3DCC.CPL file, if exists. Make sure you don't have the Control Panel open before doing it though.
  3. You may also need to remove start menu shortcuts.


Legal Copyright

Copyright

Copyright © 1998-2000 by Janek Szulew, JaSMiN Co. All rights reserved. Unauthorized duplication is a violation of applicable laws.

Verced Color Scheme copyright by Verced.
Iceberg Web Color Scheme copyright by IceBerg.
X Color Scheme copyright by Atif.
Gray Scheme copyright by E. Schreur.
Blue, Commandos and Summer Color Schemes copyright by Marcus of JaSMiN Co.
All other Color Schemes copyright by Janek Szulew of JaSMiN Co.

Special Thanks

To people who helped in testing of this product: Nicolas H. Martins, E. Schreur, Loh Huei Woon, John Jensen, Raze2k, Ken Bischof, Betty Hibbard and others. You know who you are.

Xtra Special Thanks

To Michael Gliztner for providing me info on how to get Delphi to work after it refused to start. Thanks!

Legal Trademarks

3D Color Changer 3000™, Windows3000 JoteSite, JaSMiN are registered trademarks of JaSMiN Co.
Microsoft, Windows, Windows98, WindowsNT, Windows2000 are registered trademarks of Microsoft Corporation.


Feature Overview

Desktop Customization Utitlity
Version 3.00.3000 released 29.02.00

3DCC3000 If you are the kind who don't like the default gray scheme that Windows provides, 3D Color Changer 3000 is the right program for you. Despite it looks just like Desktop Properties | Appearance, it gives you much more control over your Windows' look. 3DCC gives you access to User Interface aspects that Microsoft restricted: 3D Frames' colors, Mouse Hot Tracking Color and more. Windows98/2000 specific colors are fully supported (when ran under Windows98/2000). There is also a schemes support with load/save features, plus the new in 3000 version, Import from Desktop Theme feature, designed especially for Windows UI maniacs - you can transfer the schemes between computer via the Internet or just on a floppy disk. You can also use the Color Capture function, also new in this version, to capture colors directly from your desktop to 3DCC. 3DCC3000's predecessor, 3DCC98, won 1st Place in WinMag's December Top Ten Shareware, was featured in Lockergnome newsletter and got 4-Star rating at ZDNet's HotFiles.

3DCC3000 color selections Advanced color selections

With 3D Color Changer 3000, you'll get access to every window element, which is impossible in Desktop Properties. You can customize the look of 3D frames, mouse highlight and much more.

3DCC3000 Color Capture Color Capture

is one of the most exciting 3D Color Changer 3000 features. With this feature you can capture color of every pixel. Useful when selecting a desktop background color suitable for your favorite wallpaper.

3DCC3000 load/save support Scheme Load/Save support

makes it easy to store, manage and exchange your schemes over the Internet. Scheme files are extremely small (up to 300 bytes). There is also an Import from Desktop Theme feature which allows you to snag colors directly from desktop themes.

3DCC3000 sample schemes Sample schemes

will help you unveil the potential of 3D Color Changer 3000. There are over 30 samples including various modifications of default Windows color scheme to show how desktop can be tweaked!


Launching 3DCC

You can launch 3DCC3000 in two ways:
(if properly installed)
  1. Via the Control Panel (Start | Settings | Control Panel) - you'll find new icon named Color Settings there.
  2. Via Start Menu - just point to the Start Menu group you asked Setup to create items in, and select 3D Color Changer 3000 item.

Troubleshooting
for known issues that may occur
  1. If the Color Settings icon does not appear in your Control Panel, go to the folder 3DCC3000 you installed in and copy the file 3DCC.CPL to %windir% \SYSTEM folder (or %windir% \SYSTEM32 when run under WindowsNT 4.0 or Windows2000). Make sure you don't have the Control Panel open before doing it though.
  2. If you don’t have new Start Menu group it means you've unchecked the Start Menu items checkbox during setup. You can create Start Menu group and shortcuts yourself, or just run setup again.


Controls Overview

Click part of the window to see its description below.


Altering Colors

You can alter colors in two ways:
from palette or using the new shiny Color Capture feature. This section covers the first method.
  1. Choose the item you wanna change color of. You can do this by selecting the item from the dropdown list or by clicking the preview window.
  2. Click the colored rectangle below dropdown list.
  3. Pick a color of your choice. Notice that you can add the picked color to Custom Colors for further use. Click OK to exit color dialog.
  4. You should see your modifications on the preview screen. */
  5. Click Apply to apply colors to system. Use Restore in case of mistake.

*/ - If you can't see any changes try toggling Active/Inactive window. Please note that some of the elements i.e. Scrollbar, 3D Alternate Face, Gray Text and Application Background are never visible in the preview.

Find out how to...
... use Color Capture by clicking the Next » link below.


Using Color Capture

You can alter colors in two ways:
from palette or using the new shiny Color Capture feature. This section covers the latter method.
  1. Choose the item you wanna change color of. You can do this by selecting the item from the dropdown list or by clicking the preview window.
  2. Click that little camera icon in the right-bottom.
  3. A window opens. It contains two boxes: Selected - shows the color selected, Peek - shows the color you are hovering.
  4. If you hit Escape now, the window will close and the color will remain unchanged.
  5. To select a color you are hovering, just click it. The Selected box changes its color to the clicked one.
  6. Once finished, hit Escape.
  7. You should see your modifications on the preview screen. */
  8. Click Apply to apply colors to system. Use Restore in case of mistake.

*/ - If you can't see any changes try toggling Active/Inactive window. Please note that some of the elements i.e. Scrollbar, 3D Alternate Face, Gray Text and Application Background are never visible in the preview.

Find out how to...
... use Scheme Support by clicking the Next » link below.


Scheme Support

About Scheme Support:
What's that and what's it for?

It's cool. It enables you to store your schemes for further use. Scheme support has been also designed especially to enable Windows UI Maniacs [TM] to exchange their cool schemes over the Internet or even floppy disks... To top it off, color schemes are extremely small... up to 300 bytes each. Now that's cool...

Saving Color Scheme
Step by step instructions
  1. Goto Scheme | Save. If the current scheme was not loaded or imported from Desktop Theme before, a Save As dialog pops up (More on this below) Otherwise, the scheme will be just saved, no visual information will appear.
  2. Goto Scheme | Save As if you want to save the scheme to a different filename. A dialog will pop up - pick a directory of your choice, type in a filename and hit Save. That's it!

Loading Color Scheme
Step by step instructions
  1. goto Scheme | Load, navigate to the folder of your choice, select a scheme to load and hit Open. Simplicity is the power, isn't it? :)

Find out how to...
... import colors from a Desktop Theme by clicking the Next » link below.


Import From...

About Import From...
What's that and what's it for?

Import From... feature has been implemented because of 3DCC98 user's feedback. The request was to made 3DCC read Desktop Themes. We've found that idea a very exciting feature, so we've decided to implement it in this release.

Importing color from a Desktop Theme file
Step by step instructions
  1. Choose Scheme | Import From... | Desktop Theme. Pick a folder which contains Themes, select a theme of your choice, hit Open and you are ready to tweak!

Find out how to...
... achieve the best results by clicking the Next » link below.


Tips

How to make cool 3D schemes?
(A sort of "Step-by-step instructions")

This section contains some tips on making neat 3D schemes. The instructions cover the process of converting one of the default Windows schemes to a xx type scheme.

Flat type schemes
(Example: JoteS.3DC)
  1. Use a color similar to 3D Hi-Light for 3D Dark Shadow. Similar means a bit darker.

Flat II type schemes
(Example: Win Flat II.3DC)
  1. Use the 3D Face color for 3D Light and 3D Dark Shadow.

Flat III type schemes
(Example: Win Flat III.3DC)
  1. Use the 3D Light (or lighter) color for 3D Hi-Light.
  2. Use the 3D Shadow color for 3D Dark Shadow.
  3. Use the 3D Face color for 3D Light and 3D Shadow.

3D type schemes
(Example: JoteS 3D.3DC)
  1. Use the 3D Shadow color for 3D Dark Shadow.
  2. For Focused Object Frame use a color that lies between 3D Dark Shadow and 3D Shadow. For instance, if 3D Dark Shadow = 0 0 0 and 3D Shadow = 128 128 128, then the appropriate color would be 64 64 64.
  3. For 3D Shadow use a color that lies between 3D Face and 3D Shadow. For instance, if 3D Shadow = 128 128 128 and 3D Face = 192 192 192, then the appropriate color would be 160 160 160.
  4. For 3D Light use a color that lies between 3D Hi-Light and 3D Face. For instance, if 3D Shadow = 255 255 255 and 3D Face = 192 192 192, then the appropriate color would be 224 224 224.

UltraFlat type schemes
(Example: Win UltraFlat.3DC)
  1. Try lighting all the shadow colors so they are closer to 3D Face. The similar thing applies to highlight: darken them so they are closer to 3D Face.

A good way to learn is to mess with the sample schemes - especially all these beginning with Win word.

Find answers...
... to your questions by clicking the Next » link below.


F.A.Q.

Frequently Asked Questions

Check this out
before you ask JaSMiN Co.

Here's a list of the most frequently asked questions based on feedback regarding previous versions of 3DCC:

Q: I can't see Gradient titlebars.
A: That's because you're using Windows95 or NT4. Gradients are supported only by Windows98 and Windows2000.

Q: But, but, but...
A: No way.

Q: When I alter the color of window face, the color of button changes automatically. Is it possible to separate the colors?
A: Nope. Not in the traditional way, since Windows uses the same COLOR_BTNFACE for painting window and button faces. F'coz it's possible to write such a program that hooks windows, changes the colors as you wish, lets you even have gradients under Win95 and WinNT4, eats a lot of system resources, makes your Windows' startup and shutdown EVEN longer and crashes 3 times a minute.

Q: Are there any more color schemes?
A: Nope. By far. Help us and send us your scheme. We're collecting them patiently, and someday we'll release them over the Internet or somewhat. If you have any cool schemes, send them in. Details on the next page.

Q: Why doesn't 3DCC support font changing?
A: That's because it's a very sophisticated procedure and we are too lazy or maybe too lame (Did I say lame? I mean cool!) to even try implementing this stuff. Besides the name of the program is 3D Color Changer, not 3D Color and 2D Font Changer, isn't it? It's just for colors, get it right.

Q: Are you going to release 3DCC3001 or something like this?
A: Of course! Keep logging to JaSMiN Co. website for more info on this!

Find out how to...
... contact JaSMiN Co. by clicking the Next » link below.


Contacting JaSMiN

World Wide Web
Find us on the Internet!

Check out these websites:

Windows3000 JoteSite - This is the JaSMiN Co. official website.
http://jotenet.cjb.net/

FREE Online Registration - Register 3DCC and other JaSMiN stuff online.
http://jotenet.cjb.net//regwiz.htm (please note there is a double-slash before the word regwiz)

If you want to contact JaSMiN Co. by e-mail here are the addresses:

3dccsupport@jotenet.cjb.net - 3DCC Support E-mail
schemes@jotenet.cjb.net - Send your schemes here!
jote@jotenet.cjb.net - All other mail

If you are in the need of writing us a REAL letter here's snail mail address:

JaSMiN Co.
Janek Szulew
Zielona 25/35
90602 Lodz,
Poland

Register 3DCC and other JaSMiN stuff...
... by clicking the Register link below.

« Previous Register »

© 1998-2000 JaSMiN Co.